Subject: Re: Strange cd/CDPATH behavior
From: Earnie Boyd <[email-masked]>
To: Erik Nolte <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Tue, 26 Sep 2000 13:12:02 -0700 (PDT)

--- Erik Nolte <[email-masked]> wrote:
> > I can successfully `cd c:/temp' from the bash prompt so that itself
> > isn't a problem.  You mention that you have CDPATH set, what is it set to?
> If
> > CDPATH itself contains a ":" character it is used as a list separator, so
> DOS
> > paths can't exist in CDPATH unless the "\" quoting character precedes the
> ":".
> 
> I have a CDPATH of UNIX-style directories:
> 
> 
> .:/w//src/com/pipeline:/w/:/w//src:/w//docs:/w//src/html:/w//src/com/pipelin
> e/ab
> 
> m:/w//src/com/pipeline/ad:/w//src/com/pipeline/addrbk:/w//src/com/pipeline/a
> dmin
> 
> :/w//src/com/pipeline/aio:/w//src/com/pipeline/alert:/w//src/com/pipeline/ap
> plic
>     ations:/w//src/com/pipeline/awt:/w//src/com/pipeline/bom
> 
> B20.1 must have recognized that w:/ is an absolute path while 1.1.4 doesn't
> think so.  And somehow "." in CDPATH triggers the problem.
> 

You've not really listed w:/ in CDPATH you have /w// which isn't the same as
w:/.

> Try this:
> 
>     export CDPATH=/c:/d
>     cd d:/
>     <you should just see the command prompt>
> 

Ok. Tried and I see your results.

> then try:
> 
>     export CDPATH=/c:/d:.
>     cd d:/
>     <you should see "d:" and then the command prompt on the next line>
> 

Ok. Tried and I see your results.  I also tried cd /d and I the result is as
expected.

> The question is why does adding "." to CDPATH cause "d:/" to be interpreted
> as a relative path?
> 

Just to eliminate the bash-2.04 vs bash-2.03 criteria, I'm using bash-2.03
while Cygwin now ships with bash-2.04.  I don't have b20.1 to play with it so I
can't see what the difference is.  My guess is that the changes Corinna made
that make Cygwin now interpret a path with a `:' in offset position 1 as an
absolute win32 path has a lot to do with the difference.

This being the case, as Chris has already stated, the only patch worth making
is to bash itself.  Bash needs to be taught that [a-zA-Z]:/ is an absolute
path.

Cheers,

=====
--- <http://earniesystems.safeshopper.com> ---
   Earnie Boyd: <mailto:[email-masked]>
            __Cygwin: POSIX on Windows__
Cygwin Newbies: <http://gw32.freeyellow.com/>
           __Minimalist GNU for Windows__
    Mingw Home: <http://www.mingw.org/>

__________________________________________________
Do You Yahoo!?
Send instant messages & get email alerts with Yahoo! Messenger.
http://im.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]